### Method

# GdkPixbuf PixbufLoader close

#### Declaration [src]

    gboolean
    gdk_pixbuf_loader_close (
      GdkPixbufLoader* loader
      GError** error
    )

#### Description [src]

Informs a pixbuf loader that no further writes with `gdk_pixbuf_loader_write()` will occur, so that it can free its internal loading structures.

This function also tries to parse any data that hasn’t yet been parsed; if the remaining data is partial or corrupt, an error will be returned.

If `FALSE` is returned, `error` will be set to an error from the `GDK_PIXBUF_ERROR` or `G_FILE_ERROR` domains.

If you’re just cancelling a load rather than expecting it to be finished, passing `NULL` for `error` to ignore it is reasonable.

Remember that this function does not release a reference on the loader, so you will need to explicitly release any reference you hold.

#### Return value

Returns: | `gboolean`
| `TRUE` if all image data written so far was successfully passed out via the update_area signal.